Endpoints for managing contacts.
List contacts
List all contacts for the authenticated team.
query Parameters
expand[]Expand related resources.
querySearch query.
parent_handleFilter contacts to only those that are sub-contacts of the given parent contact handle.
sortSort by one or more fields. Available fields: handle, is_default, id. Prefix fields with - for descending order. Separate multiple fields (maximum 5) with commas.
Invalid fields are silently ignored. Case-insensitive.
pageper_pageSearch metadata key-value pairs. Only exact matches are supported.
List contacts › Responses
Paginated set of Contact
Create a new contact
Create a new contact for the authenticated team.
If a contact with identical details already exists for the team, the existing contact will be returned
instead of creating a duplicate (HTTP 200 instead of 201). Use allow_duplicate: true to force creation
of a new contact.
query Parameters
expand[]Expand related resources.
Create a new contact › Request Body
first_namelast_nameaddress_streetaddress_house_numberaddress_postal_codeaddress_cityaddress_country_codeCountry code in ISO 3166-1 alpha-2 format.
emailphonePhone numbers need to be provided in international format.
company_nameCompany name. If provided this field makes the contact a company contact.
company_registration_numberIf the contact is a company, this field could be required for some TLDs.
company_trading_nameTrading name for the company. Some registries require this as additional information.
company_urlCompany website URL. Some registries require this as additional information.
vat_registrationIf the contact is a company, this field could be required for some TLDs.
address_stateState or province. Accepts either an abbreviation (e.g. "NY") or full name (e.g. "New York"). Stored as abbreviation.
parent_handleHandle of the parent contact. When provided, this contact will be grouped under the parent contact. This is purely for organizational purposes and has no effect on the use of the contact when registering or transferring domains.
Invalid handles will be ignored.
is_defaultIndicates if the contact should be the default contact for the team.
allow_duplicateWhen true, forces creation of a new contact even if one with identical details exists.
TLD-specific extension data.
Optional metadata to attach to the contact. Metadata keys must be strings and cannot exceed 40 characters or contain [ or ] characters.
Metadata values must be strings and cannot exceed 500 characters.
A contact cannot have more than 50 metadata keys.
Create a new contact › Responses
Contact
Update a contact
Update properties of a single contact for the authenticated team.
You cannot update the name or company name of a contact. If you need to update these properties, you need to create a new contact.
Only the properties that are provided will be updated. If you omit a property it will not be changed.
path Parameters
contactHandlequery Parameters
expand[]Expand related resources.
Update a contact › Request Body
company_registration_numberIf the contact is a company, this field could be required for some TLDs.
company_trading_nameTrading name for the company. Some registries require this as additional information.
company_urlCompany website URL. Some registries require this as additional information.
vat_registrationIf the contact is a company, this field could be required for some TLDs.
address_streetaddress_house_numberaddress_postal_codeaddress_cityaddress_stateState or province. Accepts either an abbreviation (e.g. "NY") or full name (e.g. "New York"). Stored as abbreviation.
emailWhen updating the e-mail address of a contact that is in use. Please take care to verify the e-mail address if needed. Otherwise connected domains might be suspended.
phonePhone numbers need to be provided in international format.
parent_handleHandle of the parent contact. When provided, this contact will be grouped under the parent contact. This is purely for organizational purposes and has no effect on the use of the contact when registering or transferring domains.
Invalid handles will be interpreted as removing the parent contact.
is_defaultIndicates if the contact is the default contact for the team. Can only be true or unset.
TLD-specific extension data.
Optional metadata to attach to the contact. Metadata keys must be strings and cannot exceed 40 characters or contain [ or ] characters.
Metadata values must be strings and cannot exceed 500 characters.
A contact cannot have more than 50 metadata keys.
To remove a metadata key, set its value to an empty string.
To remove all metadata, set the metadata field to an empty object: {}.
Update a contact › Responses
Contact